declare type QuizProps = {
    onComplete?: Function;
    onQuestionSubmit?: Function;
    quiz: Quiz;
    shuffle?: boolean;
    locale?: Locale;
    isPorgressBar?: boolean;
    isAllowRetry?: boolean;
    isNoShowAnswer?: boolean;
};
declare type QuestionsProps = {
    onComplete?: Function;
    onQuestionSubmit?: Function;
    questions: Array<Question>;
    locale: Locale;
    isPorgressBar: boolean;
    isAllowRetry: boolean;
    isNoShowAnswer: boolean;
};
declare type Quiz = {
    title?: string;
    description?: string;
    questions: Array<Question>;
};
declare type Question = {
    question: string;
    image?: string;
    answers: Array<string>;
    correctAnswer: number;
    point?: number;
    messageForCorrectAnswer?: string;
    messageForIncorrectAnswer?: string;
};
declare type Locale = {
    questionText?: string;
    nextButton?: string;
    resultText?: string;
    endText?: string;
    correctText?: string;
    incorrectText?: string;
    retryText?: string;
};
export { QuizProps, QuestionsProps, Quiz, Question, Locale, };
